using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    ///<summary>
    /// DTO que obtiene los valores del XML "Reimprimir"
    /// </summary>
    [XmlRoot(ElementName = "ReprintReceiptsRequest")]
    public class ReprintReceiptsRequestDTO: DTOBase
    {
        public ReprintReceiptsRequestDTO(int idSesion, TipoMensaje tipo) : base(idSesion, tipo)
        {
        }
        public ReprintReceiptsRequestDTO()
        {
        }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "EnableCallback")]
        public bool EnableCallback { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }

        [XmlElement(ElementName = "ReverseTransactionIndex")]
        public int ReverseTransactionIndex { get; set; }

        [XmlElement(ElementName = "Type")]
        public string Type { get; set; }
    }
}
